"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.objectToJSONObject = exports.isJSONValue = exports.isJSONArray = exports.isJSONObject = void 0;
;
function isJSONObject(value) {
    if (typeof value !== 'object') {
        return false;
    }
    if (value === null) {
        return false;
    }
    if (value.constructor !== {}.constructor) {
        return false;
    }
    return !Object.keys(value).some((key) => {
        return !isJSONValue(value[key]);
    });
}
exports.isJSONObject = isJSONObject;
function isJSONArray(value) {
    if (!Array.isArray(value)) {
        return false;
    }
    return !value.some((subvalue) => {
        return !isJSONValue(subvalue);
    });
}
exports.isJSONArray = isJSONArray;
function isJSONValue(value) {
    const typeOf = typeof value;
    if (['string', 'number', 'boolean'].indexOf(typeOf) >= 0) {
        return true;
    }
    if (typeof value !== 'object') {
        return false;
    }
    if (value === null) {
        return true;
    }
    if (isJSONArray(value)) {
        return true;
    }
    if (isJSONObject(value)) {
        return true;
    }
    return false;
}
exports.isJSONValue = isJSONValue;
function objectToJSONObject(obj) {
    const x = {};
    for (const [k, v] of Object.entries(obj)) {
        if (typeof k !== undefined) {
            x[k] = v;
        }
    }
    return x;
}
exports.objectToJSONObject = objectToJSONObject;
//# sourceMappingURL=json.js.map